Package org.apache.nutch.util

## Class DomUtil

- java.lang.Object
- - org.apache.nutch.util.DomUtil

-     public class DomUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DomUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Element` | `getDom​(InputStream is)` | Returns parsed dom tree or null if any error
    `static void` | `saveDom​(OutputStream os, DocumentFragment doc)` | Save dom into `OutputStream`
    `static void` | `saveDom​(OutputStream os, Element e)` | Save dom into `OutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomUtil

          public DomUtil()

  - ### Method Detail

    - #### getDom

          public static Element getDom​(InputStream is)

      Returns parsed dom tree or null if any error
      Parameters:
        `is` - XML `InputStream`
      Returns:
        A parsed DOM tree from the given `InputStream`.

    - #### saveDom

          public static void saveDom​(OutputStream os,
                                     Element e)

      Save dom into `OutputStream`
      Parameters:
        `os` - Output DOM XML stream to save to
        `e` - A specific DOM `Element` to save

    - #### saveDom

          public static void saveDom​(OutputStream os,
                                     DocumentFragment doc)

      Save dom into `OutputStream`
      Parameters:
        `os` - Output DOM XML stream to save to
        `doc` - A specific DOM `DocumentFragment` to save